#include<bits/stdc++.h>
#include "guess.h"


int find_number(int x) {
    int st=1, dr=x, ans=-1;
    while (st<=dr) {
        int mij=(st+dr)/2;
        if (smaller(mij)==1) {
            dr=mij-1;
        }
        else {
            st=mij+1;
            ans=mij;
        }
    }
    return ans;
}

